Gmagick::setsamplingfactors
Gmagick::shearimage
Gmagick
PHP Manual

# Gmagick::setsize

Sets the size of the Gmagick object

### Description

public Gmagick Gmagick::setsize ( int `$columns` , int `$rows` )

Sets the size of the Gmagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK.

### Parameters

`columns`

  The width in pixels.

`rows`

  The height in pixels.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.